package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnergyData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.EnergyFeed;
import com.huimv.admin.entity.EnergyGas;
import com.huimv.admin.entity.vo.EnergyDataVo;
import com.huimv.admin.entity.vo.EnergyElectricityDataVo;
import com.huimv.admin.entity.vo.EnergyFeedDataVo;
import com.huimv.admin.entity.vo.EnergyWaterDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 耗能数据 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
public interface EnergyDataMapper extends BaseMapper<EnergyData> {

    List<EnergyDataVo> listYear(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyFeedDataVo> listYear2(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyWaterDataVo> listYear3(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyElectricityDataVo> listYear4(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);
}
